
Foreman - Bug #10491

cant create host on 1.8 (unattended: false)

05/13/2015 02:19 AM - Adam Winberg

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Host creation   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.8.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

We just upgraded to 1.8 and now we cant create new hosts anymore. We dont use provisioning via foreman, i.e. 'unattended:false'.

Running on RHEL7.1

Full trace from UI:

NoMethodError

undefined method `compute?' for #<Host::Managed:0x007f22c5b44760>

app/models/nic/base.rb:23:in `block in '

app/models/concerns/orchestration.rb:48:in `valid?'

app/models/concerns/foreman/sti.rb:29:in `save_with_type'

app/controllers/hosts_controller.rb:84:in `create'

app/controllers/concerns/application_shared.rb:13:in `set_timezone'

app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

production.log:

Started POST "/hosts" for 10.66.1.251 at 2015-05-13 06:13:27 +0000

2015-05-13 06:13:27 [I] Processing by HostsController#create as */*

2015-05-13 06:13:27 [I]   Parameters: {"utf8"=>"✓", "authenticity_token"=>"nhj7yLLha8nE1r7r4n3MNqHqHdgBdrWZkfa93IPrRdg=",

"host"=>{"name"=>"bafa", "hostgroup_id"=>"4", "environment_id"=>"1", "puppet_proxy_id"=>"1", "puppetclass_ids"=>[""],

"managed"=>"true", "progress_report_id"=>"[FILTERED]", "type"=>"Host::Managed", "is_owned_by"=>"2-Users", "enabled"=>"1",

"model_id"=>"", "comment"=>"", "overwrite"=>"false"}}

2015-05-13 06:13:27 [W] Operation FAILED: undefined method `compute?' for #<Host::Managed:0x0000000820b1d0>

2015-05-13 06:13:27 [I]   Rendered common/500.html.erb (5.4ms)

2015-05-13 06:13:27 [I] Completed 500 Internal Server Error in 49ms (Views: 9.7ms | ActiveRecord: 7.2ms)

2015-05-13 06:13:29 [I]

Related issues:

Related to Foreman - Bug #10307: Editing a host with "unattended: false" set ... Closed 04/29/2015

History

#1 - 05/13/2015 02:27 AM - Marek Hulán

- Status changed from New to Duplicate

Thanks for the report. I believe that this was already fixed in #10307 which will get into 1.8.1, therefore marking as duplicate.

#2 - 05/13/2015 02:27 AM - Marek Hulán

- Related to Bug #10307: Editing a host with "unattended: false" set in settings.yaml results in error. added
